## ros-noetic-ackermann-msgs 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ackermann_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)
# We want boost/format.hpp, which isn't in its own component.
find_package(Boost REQUIRED)

add_message_files(
  DIRECTORY msg
  FILES AckermannDrive.msg AckermannDriveStamped.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
  DEPENDS Boost)

=== debian/changelog ===
ros-noetic-ackermann-msgs (1.0.2-1focal) focal; urgency=high

  * Use 3.0.2 min cmake version
  * Contributors: Vincent Rousseau

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 13 May 2020 00:00:00 -0000

ros-noetic-ackermann-msgs (1.0.1-1focal) focal; urgency=high

  * Removed Jim Rothrock from the maintainer list. Changed the version to 1.0.1.

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 22 Dec 2015 00:00:00 -0000

ros-noetic-ackermann-msgs (1.0.0-1focal) focal; urgency=high

  * Changed the version to 1.0.0.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 28 Aug 2015 00:00:00 -0000

ros-noetic-ackermann-msgs (0.9.1-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml (#3 <https://github.com/jack-oquin/ackermann_msgs/issues/3>), thanks
    to Scott K Logan

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 30 Apr 2014 00:00:00 -0000

ros-noetic-ackermann-msgs (0.9.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 17 Mar 2013 00:00:00 -0000

ros-noetic-ackermann-msgs (0.4.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 01 Mar 2012 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-ackermann-msgs
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/ackermann_msgs
Standards-Version: 3.9.2

Package: ros-noetic-ackermann-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: ROS messages for robots using Ackermann steering.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ackermann-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
